import React__default,{useMemo,useState,useEffect,useCallback}from'react';import {Select,Input}from'antd';function CountryPhoneInput({
  countries,
  onChange,
  value,
  translation,
  selectProps,
  ...props
}) {
  const defaultCountry = useMemo(() => {
    return countries?.find(c => c.name === 'United States');
  }, []);
  const [countryCode, setCountryCode] = useState(defaultCountry);
  const [phoneNumber, setPhoneNumber] = useState();
  useEffect(() => {
    if (value !== undefined) {
      setCountryCode(countries?.find(c => c.phoneCode === value.countryCode));
      setPhoneNumber(value.phoneNumber);
    }
  }, [value]);
  const triggerChange = useCallback((phoneNumber, country) => {
    const result = {
      phoneNumber,
      countryCode: country && country.phoneCode
    };
    onChange?.(result);
  }, [onChange]);
  const handleCountryChange = useCallback(value => {
    const c = countries?.find(c => c.id === value);
    if (!c) {
      throw new Error(`Country not found: ${value}`);
    }
    setCountryCode(c);
    triggerChange(phoneNumber, c);
  }, [setCountryCode, triggerChange, phoneNumber]);
  const handlePhoneChange = useCallback(e => {
    const currentValue = e.target.value;
    setPhoneNumber(currentValue);
    triggerChange(currentValue, countryCode);
  }, [setPhoneNumber, countryCode, triggerChange]);
  const handleCountrySearch = (inputValue, option) => {
    const countryName = option.children?.toString().toLowerCase();
    return countryName?.includes(inputValue.toLowerCase());
  };
  return React__default.createElement("div", {
    style: {
      display: 'flex'
    }
  }, React__default.createElement(Select, {
    showSearch: true,
    bordered: false,
    dropdownMatchSelectWidth: false,
    ...selectProps,
    optionLabelProp: "label",
    value: countryCode && countryCode.phoneCode,
    filterOption: handleCountrySearch,
    onChange: handleCountryChange,
    style: {
      width: 'auto'
    },
    defaultValue: '+1'
  }, countries?.map((item, key) => {
    const fix = {
      key,
      value: item.id,
      label: `${item.phoneCode}`
    };
    return React__default.createElement(Select.Option, {
      ...props.optionProps,
      ...fix
    }, item.name, " (", item.phoneCode, ")");
  })), React__default.createElement(Input, {
    style: {
      padding: '0px'
    },
    ...props,
    value: value && value.phoneNumber,
    onChange: handlePhoneChange
  }));
}export{CountryPhoneInput};//# sourceMappingURL=index.js.map
