import React__default from'react';import {Form,Input}from'antd';import {useGetAccountsQuery}from'../generated.js';// normalizer that prevents the useage of capital letters and spaces for username.
const usernameNormalizer = value => (value || '').replace(/[^a-z0-9]/g, '');
const UsernameField = props => {
  const {
    inputClassName,
    itemClassName
  } = props;
  const {
    refetch
  } = useGetAccountsQuery({
    skip: true
  });
  return React__default.createElement(Form.Item, {
    name: "username",
    label: "Username",
    className: itemClassName,
    hasFeedback: true,
    validateTrigger: 'onBlur',
    rules: [{
      validator: async (_, value) => {
        if (value) {
          // need to await for result, for validation purpose.
          const {
            data
          } = await refetch({
            where: {
              username: value
            }
          });
          if (data?.getAccounts?.length) {
            return Promise.reject("Username already exists!");
          }
        }
        return Promise.resolve();
      }
    }, {
      required: true,
      message: "Please enter your username!"
    }],
    normalize: usernameNormalizer
  }, React__default.createElement(Input, {
    className: inputClassName
  }));
};export{UsernameField};//# sourceMappingURL=Username.js.map
