import * as React from 'react';
interface IRecord {
    key: string;
    name: string;
    title: string;
    connectionName: string;
    icon: React.ReactElement;
    settings: any;
}
interface IIntegrationCommonCardProps {
    connectAction: (record: IRecord) => React.ReactElement;
    disconnectAction: (record: IRecord) => React.ReactElement;
    reconnectAction: (record: IRecord) => React.ReactElement;
    renderBody?: (record: IRecord) => React.ReactElement;
    selectAction?: (record: IRecord) => React.ReactElement;
    /**
     * The integration data should be in this format.
     * {
     *  <integration-name>: {
     *    user: {
     *      user_id: string
     *      username: string
     *    }
     *  },
     *  <integration-name>: {...}
     * }
     * Had issues with type so declaring Record<string, any>;
     */
    integrationsData: Record<string, any>;
    integrationsList: IRecord[];
    cover?: ({ record }: {
        record: IRecord;
    }) => React.ReactElement;
    showSelectAction(record: IRecord): boolean;
}
interface IAuth0IntegrationCardProps extends Omit<IIntegrationCommonCardProps, 'integrationsData' | 'integrationsList'> {
    record: IRecord;
    integration: Record<string, any>;
}
export declare const Auth0IntegrationCard: (props: IAuth0IntegrationCardProps) => React.JSX.Element;
export declare const IntegrationCommonCard: (props: IIntegrationCommonCardProps) => React.ReactElement;
export {};
