import*as React from'react';import {Spin,Card,Tooltip,Typography,Row,Col}from'antd';import {isEmpty,startCase}from'lodash-es';import {css}from'@emotion/css';import {ConnectionStatus}from'@adminide-stack/core';import {styles}from'./styles.js';const {
  Meta
} = Card;
const {
  useMemo
} = React;
function returnStartCasedStatus(status) {
  return startCase(status?.toLowerCase());
}
const RenderCover = ({
  cover,
  record
}) => {
  return cover ? cover({
    record
  }) : record.icon;
};
const Auth0IntegrationCard = props => {
  const {
    record,
    connectAction,
    disconnectAction,
    reconnectAction,
    selectAction,
    integration,
    renderBody,
    cover,
    showSelectAction
  } = props;
  const title = useMemo(() => {
    if (!integration) {
      return null;
    }
    const status = returnStartCasedStatus(integration.status);
    return React.createElement("div", {
      style: {
        fontSize: '12px'
      }
    }, "Status: ", React.createElement("span", {
      className: css(styles.integrationStatus({
        status
      }))
    }, status));
  }, [integration?.status]);
  if (!integration) {
    return React.createElement(Spin, null);
  }
  const primaryEmail = integration?.user?.emails?.find(({
    primary
  }) => primary);
  return React.createElement(Card, {
    className: css(styles.card),
    actions: [integration.user && integration.status === ConnectionStatus.LINKED && disconnectAction(record), integration?.status === ConnectionStatus.NOT_CONNECTED && connectAction(record), integration.status === ConnectionStatus.EXPIRED && reconnectAction(record), integration.user && integration.status === ConnectionStatus.LINKED && showSelectAction && showSelectAction(record) && selectAction && selectAction(record)].filter(Boolean),
    cover: React.createElement(RenderCover, {
      cover: cover,
      record: record
    })
  }, React.createElement(Meta, {
    title: React.createElement("div", {
      className: css(styles.title)
    }, record.title)
  }), React.createElement(Meta, {
    title: title
  }), integration.user?.username ? React.createElement(Meta, {
    className: "mt-2",
    title: React.createElement("div", {
      style: {
        fontSize: '12px'
      }
    }, "User: ", integration.user?.username)
  }) : null, primaryEmail ? React.createElement(Meta, {
    className: "mt-1",
    title: React.createElement(Tooltip, {
      title: primaryEmail?.value
    }, React.createElement(Typography.Text, {
      ellipsis: true,
      style: {
        fontSize: '12px',
        overflowWrap: 'break-word'
      }
    }, "Email: ", primaryEmail?.value))
  }) : null, renderBody && renderBody(record));
};
const IntegrationCommonCard = props => {
  const {
    integrationsData,
    integrationsList,
    ...remaining
  } = props;
  if (!isEmpty(integrationsData) && integrationsList.length) {
    return React.createElement(Row, {
      gutter: 8
    }, integrationsList.map((record, index) => {
      return React.createElement(Col, {
        key: index,
        md: 6,
        className: css(styles.col)
      }, React.createElement(Auth0IntegrationCard, {
        record: record,
        integration: integrationsData?.[record?.title?.toLocaleLowerCase()],
        ...remaining
      }));
    }));
  }
  return React.createElement(Spin, null);
};export{Auth0IntegrationCard,IntegrationCommonCard};//# sourceMappingURL=IntegrationCard.js.map
