import React__default from'react';import {Form,Row,Col,Input,Select,Checkbox}from'antd';import {useGetOrganizationClientsQuery,useGetFilteredProjectsLazyQuery}from'@adminide-stack/project-mgmt-core';var ProjectValidationStatus;
(function (ProjectValidationStatus) {
  ProjectValidationStatus["Success"] = "success";
  ProjectValidationStatus["Error"] = "error";
})(ProjectValidationStatus || (ProjectValidationStatus = {}));
const ConfigureProject = props => {
  const {
    projectForm,
    integrationProjectName,
    integrationName,
    setIsValidRecord,
    isValidRecord,
    stepsDispatch,
    orgName
  } = props;
  const {
    data
  } = useGetOrganizationClientsQuery({
    variables: {
      orgName
    }
  });
  const clients = data?.getOrganizationClients?.data || [];
  const [getProjects, {
    data: orgProjects
  }] = useGetFilteredProjectsLazyQuery({
    variables: {
      filter: {
        name: integrationProjectName
      }
    },
    fetchPolicy: 'network-only'
  });
  React__default.useLayoutEffect(() => {
    void getProjects();
  }, []);
  React__default.useLayoutEffect(() => {
    const {
      project
    } = projectForm.getFieldsValue();
    if (orgProjects?.getFilteredProjects?.length || !project) {
      setIsValidRecord(ProjectValidationStatus.Error);
    } else {
      setIsValidRecord(ProjectValidationStatus.Success);
    }
  }, [orgProjects]);
  return React__default.createElement(Form, {
    initialValues: {
      project: integrationProjectName
    },
    style: {
      width: '100%'
    },
    form: projectForm,
    layout: 'vertical'
  }, React__default.createElement(Row, null, React__default.createElement(Col, {
    lg: 10
  }, React__default.createElement(Form.Item, {
    label: `${integrationName} Project`
  }, React__default.createElement(Input, {
    value: integrationProjectName,
    disabled: true
  }))), React__default.createElement(Col, {
    lg: 10,
    offset: 1
  }, React__default.createElement(Form.Item, {
    name: "project",
    label: "Cdebase Project",
    hasFeedback: true,
    validateStatus: isValidRecord,
    help: (() => {
      const {
        project
      } = projectForm.getFieldsValue();
      if (!project) {
        return 'Please enter project name!';
      }
      return isValidRecord === ProjectValidationStatus.Error ? 'Project already exists!' : undefined;
    })(),
    rules: [{
      required: true
    }]
  }, React__default.createElement(Input, {
    type: 'text',
    onBlur: () => {
      const {
        project
      } = projectForm.getFieldsValue();
      stepsDispatch({
        type: 'project',
        payload: {
          name: project
        }
      });
      void getProjects({
        variables: {
          filter: {
            name: project || ''
          }
        }
      });
    }
  })))), React__default.createElement(Row, null, React__default.createElement(Col, {
    lg: 10
  }, React__default.createElement(Form.Item, {
    label: 'Select client',
    name: "client"
  }, React__default.createElement(Select, {
    placeholder: 'Select client'
  }, clients.map((client, index) => React__default.createElement(Select.Option, {
    key: index,
    value: client.id
  }, client.displayName))))), React__default.createElement(Col, {
    lg: 4,
    offset: 1,
    style: {
      marginTop: '35px'
    }
  }, React__default.createElement(Form.Item, {
    valuePropName: "checked",
    name: "billable"
  }, React__default.createElement(Checkbox, null, "Billable"))), React__default.createElement(Col, {
    lg: 4,
    style: {
      marginTop: '35px'
    }
  }, React__default.createElement(Form.Item, {
    valuePropName: "checked",
    name: "autoSync"
  }, React__default.createElement(Checkbox, null, "Auto Sync Tasks")))));
};export{ConfigureProject,ProjectValidationStatus};//# sourceMappingURL=ConfigureProject.js.map
