import {debounce}from'lodash-es';import React__default,{useState,useLayoutEffect}from'react';import {Form,Typography,Input}from'antd';import {useFilterIntegrationConfigurationLazyQuery}from'../generated.js';const Initialize = props => {
  const {
    integrationConfiguration,
    disableNextBtn,
    stepsDispatch
  } = props;
  const configName = integrationConfiguration?.name;
  const configId = integrationConfiguration?.id;
  const [getConfigs, {
    data
  }] = useFilterIntegrationConfigurationLazyQuery();
  const [valid, setValidity] = useState(true);
  const [form] = Form.useForm();
  const fetchConfigurations = name => {
    getConfigs({
      variables: {
        filter: {
          name
        }
      }
    });
  };
  useLayoutEffect(() => {
    if (integrationConfiguration) {
      form.setFieldsValue({
        name: configName
      });
      fetchConfigurations(configName);
    }
  }, [configName]);
  useLayoutEffect(() => {
    const result = data?.filterIntegrationConfiguration;
    if (result?.length === 1 && result.find(({
      id
    }) => id !== configId)) {
      setValidity(false);
    } else {
      setValidity(true);
    }
  }, [data, configId]);
  useLayoutEffect(() => {
    disableNextBtn(!valid);
  }, [valid]);
  return React__default.createElement(Form, {
    form: form
  }, React__default.createElement(Form.Item, {
    validateStatus: valid ? 'success' : 'error',
    help: (() => {
      return !valid ? 'Integration Configuration name should be unique!' : '';
    })(),
    rules: [{
      required: true
    }]
  }, React__default.createElement(Typography.Title, {
    level: 4,
    style: {
      paddingBottom: '10px'
    }
  }, "Set Integration Configuration name"), React__default.createElement(Form.Item, {
    noStyle: true,
    name: 'name',
    initialValue: configName,
    rules: [{
      required: true
    }]
  }, React__default.createElement(Input, {
    type: "text",
    style: {
      width: 400
    },
    placeholder: "Set Integration Configuration name",
    onChange: debounce(e => {
      const val = e?.target?.value;
      fetchConfigurations(val);
      stepsDispatch({
        type: 'name',
        payload: {
          name: val || ''
        }
      });
    }, 800)
  }))));
};export{Initialize};//# sourceMappingURL=Initialize.js.map
