import React, { ReactElement } from 'react';
interface ICommonResource {
    id?: String;
    gid?: String;
    name?: String;
}
interface IStepsContainer {
    currentStep: number;
    footer: ({ onSave, nextBtnDisabled, saveBtnDisabled }: {
        onSave: any;
        nextBtnDisabled: any;
        saveBtnDisabled: any;
    }) => ReactElement;
    integrationConfiguration: any;
    stepsDispatch: (val: object) => void;
    workspaces: {
        workspaces: ICommonResource[];
        fetchWorkspaces: (obj?: any) => void;
        workspacesLoading: boolean;
        workspacesIdentifierKey?: string;
    };
    projects?: {
        projects: ICommonResource[];
        fetchProjects: (obj?: any) => void;
        projectsLoading: boolean;
        projectsIdentifierKey?: string;
    };
    repositories?: {
        repositories: ICommonResource[];
        fetchRepositories: (obj?: any) => void;
        repoLoading: boolean;
        repositoriesIdentifierKey?: string;
    };
    teams?: {
        teams: ICommonResource[];
        fetchTeams: (obj?: any) => void;
        teamsLoading: boolean;
        teamsIdentifierKey?: string;
    };
    tasks?: {
        tasks: ICommonResource[];
        fetchTasks: (obj?: any, repo?: any) => void;
        tasksLoading: boolean;
        tasksIdentifierKey?: string;
    };
    tags?: {
        fetchTags: (obj?: any, repo?: any) => void;
    };
}
export declare const IntegrationConfigCommon: (props: IStepsContainer) => React.JSX.Element;
export {};
