import React__default,{useState,useLayoutEffect,useEffect,useCallback}from'react';import {Typography,Select,Spin}from'antd';function SelectMultiple(props) {
  const {
    data,
    selectedItems,
    setSelectedItem,
    title,
    placeholder,
    loading,
    fetchData,
    children,
    identifier
  } = props;
  const [items, setItems] = useState([]);
  useLayoutEffect(() => {
    fetchData();
  }, []);
  useEffect(() => {
    setItems((selectedItems || []).map(item => item[identifier]));
  }, [selectedItems]);
  const renderOptions = () => data.map((item, index) => {
    return React__default.createElement(Select.Option, {
      key: index,
      value: item[identifier]
    }, item.name);
  });
  const onChange = values => {
    setItems(values);
  };
  const onVisibleChange = useCallback(visible => {
    if (!visible) {
      const val = data.filter(p => items.includes(p[identifier]));
      setSelectedItem(val);
    }
  }, [data, items]);
  return React__default.createElement(React__default.Fragment, null, React__default.createElement(Typography.Title, {
    level: 4,
    style: {
      paddingBottom: '10px'
    }
  }, title), React__default.createElement(Select, {
    mode: 'multiple',
    placeholder: placeholder,
    showSearch: true,
    onChange: onChange,
    onDropdownVisibleChange: onVisibleChange,
    style: {
      width: 400
    },
    value: items,
    notFoundContent: loading ? React__default.createElement(Spin, {
      size: "small"
    }) : null,
    loading: loading
  }, renderOptions()), children && children);
}export{SelectMultiple};//# sourceMappingURL=SelectMultiple.js.map
