import {get}from'lodash-es';import*as React from'react';import {compose}from'redux';import {css}from'@emotion/css';import {Form,Select,Button}from'antd';const {
  Item
} = Form;
function InvitationFormComponent(props) {
  const [form] = Form.useForm();
  const {
    user,
    team,
    sendInvitations
  } = props;
  const onSubmit = values => {
    const {
      emails
    } = form.getFieldsValue();
    const request = {
      emails,
      teamId: get(team, '_id') || get(team, 'id'),
      invitedBy: get(user, '_id') || get(user, 'sub')
    };
    sendInvitations(request).then(() => form.resetFields()).catch(() => form.resetFields());
  };
  return React.createElement(Form, {
    layout: "inline",
    onFinish: onSubmit,
    className: css(styles.form)
  }, React.createElement(Item, {
    name: 'emails',
    className: css(styles.grid.select)
  }, React.createElement(Select, {
    mode: "tags",
    size: "large",
    placeholder: "Emails for invitations...",
    notFoundContent: "Multiple emails",
    className: css(styles.select)
  })), React.createElement(Item, {
    className: css(styles.grid.button)
  }, React.createElement(Button, {
    size: "large",
    type: "primary",
    htmlType: "submit",
    className: css(styles.button)
  }, "Send Invitation")));
}
const styles = {
  form: {
    display: 'flex',
    flexDirection: 'row'
  },
  select: {
    width: '100% !important'
  },
  button: {
    margin: 0
  },
  grid: {
    select: {
      flexGrow: 1,
      '& .ant-form-item-control-wrapper': {
        width: '100%'
      }
    },
    button: {
      margin: '0 !important',
      flexGrow: 0
    }
  }
};
const InvitationForm = compose(InvitationFormComponent);export{InvitationForm,InvitationFormComponent};//# sourceMappingURL=InvitationForm.js.map
