import {get}from'lodash-es';import*as React from'react';import {css}from'@emotion/css';import {Card,Switch,Table}from'antd';import {invitations,members}from'./columns.js';import {InvitationForm}from'./InvitationForm.js';var ManagementState;
(function (ManagementState) {
  ManagementState["Invitations"] = "invitations";
  ManagementState["TeamMembers"] = "team-members";
})(ManagementState || (ManagementState = {}));
function TeamInvitation(props) {
  const [mode, setMode] = React.useState();
  const {
    loading,
    team,
    user,
    sendInvitations
  } = props;
  const changeMode = checked => {
    if (checked) {
      setMode(ManagementState.TeamMembers);
    } else {
      setMode(ManagementState.Invitations);
    }
  };
  return React.createElement(Card, {
    className: css(styles.card),
    title: React.createElement(InvitationForm, {
      team: team,
      user: user,
      sendInvitations: sendInvitations
    })
  }, React.createElement("div", {
    className: css(styles.controls)
  }, React.createElement(Switch, {
    onChange: changeMode,
    checkedChildren: "Members",
    unCheckedChildren: "Invitations"
  })), React.createElement(Table, {
    rowKey: "email",
    loading: loading,
    pagination: false,
    dataSource: mode === ManagementState.Invitations ? get(team, 'invitations') : get(team, 'teamMembers'),
    columns: mode === ManagementState.Invitations ? invitations(props) : members(props),
    className: css(styles.table)
  }));
}
const styles = {
  card: {
    '& .ant-card-body': {
      padding: '10px 0 0 0'
    }
  },
  table: {
    border: '1px solid #e8e8e8',
    '& .ant-table-placeholder': {
      borderBottom: 'none'
    }
  },
  controls: {
    textAlign: 'right',
    padding: '0 10px 10px 10px'
  }
};export{ManagementState,TeamInvitation};//# sourceMappingURL=TeamInvitations.js.map
