import React__default from'react';import {capitalize}from'lodash-es';import {message,Tag,Button,Avatar}from'antd';import {IApplicationRoles}from'@adminide-stack/core';import {TableActions}from'./TableActions.js';const UserRecord = ({
  record
}) => {
  return React__default.createElement("div", null, React__default.createElement(Avatar, {
    className: "mr-2"
  }, record.email), React__default.createElement("span", {
    className: "mr-2"
  }, record.email), React__default.createElement(Tag, {
    color: "blue"
  }, capitalize(record.role)));
};
const invitations = props => [{
  title: 'User',
  render: record => React__default.createElement(UserRecord, {
    record: record
  })
}, {
  render: record => record.active ? React__default.createElement(TableActions, {
    actions: [{
      type: 'primary',
      name: 'Resend Invitation',
      action: e => props.resendInvitation(record.id).then(() => message.success('Invitation has been re-sent!')).catch(() => message.error('Can not resend invitation. Try later...'))
    }, {
      danger: true,
      name: 'Decline Invitation',
      action: e => props.declineInvitation(record.id).then(() => message.success('Invitatin has been deactivated!')).catch(() => message.error('Can not recline invitation. Try later...'))
    }]
  }) : React__default.createElement("div", {
    style: {
      textAlign: 'right'
    }
  }, record.acceptedAt ? React__default.createElement(Tag, {
    color: "blue"
  }, "Accepted") : React__default.createElement("div", null, React__default.createElement(Tag, {
    color: "red"
  }, "Declined"), ' ', React__default.createElement(Button, {
    size: "small",
    type: "primary",
    onClick: () => {
      props.resendInvitation(record.id).then(() => message.success('Invitation has been re-sent!')).catch(() => message.error('Can not resend invitation. Try later...'));
    }
  }, "Resend Invitation")))
}];
const members = props => [{
  title: 'User',
  render: record => React__default.createElement(UserRecord, {
    record: record
  })
}, {
  render: record => record.role === IApplicationRoles.TeamMaintainer ? null : React__default.createElement(TableActions, {
    actions: [{
      type: 'primary',
      name: 'Change Permissions',
      action: e => props.onChangePerissions(record)
    }, {
      danger: true,
      name: 'Remove from team',
      action: e => props.onRemove(record)
    }]
  })
}];export{invitations,members};//# sourceMappingURL=columns.js.map
