import * as SchemaTypes from '@adminide-stack/core';
import { DocumentNode } from 'graphql';
import * as Apollo from '@apollo/client';
export declare const DeclineOrganizationInvitationDocument: DocumentNode;
export type IDeclineOrganizationInvitationMutationFn = Apollo.MutationFunction<SchemaTypes.IDeclineOrganizationInvitationMutation, SchemaTypes.IDeclineOrganizationInvitationMutationVariables>;
/**
 * __useDeclineOrganizationInvitationMutation__
 *
 * To run a mutation, you first call `useDeclineOrganizationInvitationMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useDeclineOrganizationInvitationMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [declineOrganizationInvitationMutation, { data, loading, error }] = useDeclineOrganizationInvitationMutation({
 *   variables: {
 *      id: // value for 'id'
 *   },
 * });
 */
export declare function useDeclineOrganizationInvitationMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IDeclineOrganizationInvitationMutation, SchemaTypes.IDeclineOrganizationInvitationMutationVariables>): Apollo.MutationTuple<SchemaTypes.IDeclineOrganizationInvitationMutation, SchemaTypes.Exact<{
    id: SchemaTypes.Scalars["ID"]["input"];
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type DeclineOrganizationInvitationMutationHookResult = ReturnType<typeof useDeclineOrganizationInvitationMutation>;
export type DeclineOrganizationInvitationMutationResult = Apollo.MutationResult<SchemaTypes.IDeclineOrganizationInvitationMutation>;
export type DeclineOrganizationInvitationMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IDeclineOrganizationInvitationMutation, SchemaTypes.IDeclineOrganizationInvitationMutationVariables>;
export declare const ResendOrganizationInvitationDocument: DocumentNode;
export type IResendOrganizationInvitationMutationFn = Apollo.MutationFunction<SchemaTypes.IResendOrganizationInvitationMutation, SchemaTypes.IResendOrganizationInvitationMutationVariables>;
/**
 * __useResendOrganizationInvitationMutation__
 *
 * To run a mutation, you first call `useResendOrganizationInvitationMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useResendOrganizationInvitationMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [resendOrganizationInvitationMutation, { data, loading, error }] = useResendOrganizationInvitationMutation({
 *   variables: {
 *      id: // value for 'id'
 *   },
 * });
 */
export declare function useResendOrganizationInvitationMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IResendOrganizationInvitationMutation, SchemaTypes.IResendOrganizationInvitationMutationVariables>): Apollo.MutationTuple<SchemaTypes.IResendOrganizationInvitationMutation, SchemaTypes.Exact<{
    id: SchemaTypes.Scalars["ID"]["input"];
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type ResendOrganizationInvitationMutationHookResult = ReturnType<typeof useResendOrganizationInvitationMutation>;
export type ResendOrganizationInvitationMutationResult = Apollo.MutationResult<SchemaTypes.IResendOrganizationInvitationMutation>;
export type ResendOrganizationInvitationMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IResendOrganizationInvitationMutation, SchemaTypes.IResendOrganizationInvitationMutationVariables>;
export declare const SendOrganizationInvitationDocument: DocumentNode;
export type ISendOrganizationInvitationMutationFn = Apollo.MutationFunction<SchemaTypes.ISendOrganizationInvitationMutation, SchemaTypes.ISendOrganizationInvitationMutationVariables>;
/**
 * __useSendOrganizationInvitationMutation__
 *
 * To run a mutation, you first call `useSendOrganizationInvitationMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useSendOrganizationInvitationMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [sendOrganizationInvitationMutation, { data, loading, error }] = useSendOrganizationInvitationMutation({
 *   variables: {
 *      request: // value for 'request'
 *   },
 * });
 */
export declare function useSendOrganizationInvitationMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.ISendOrganizationInvitationMutation, SchemaTypes.ISendOrganizationInvitationMutationVariables>): Apollo.MutationTuple<SchemaTypes.ISendOrganizationInvitationMutation, SchemaTypes.Exact<{
    request: SchemaTypes.IOrganizationInvitationRequest;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type SendOrganizationInvitationMutationHookResult = ReturnType<typeof useSendOrganizationInvitationMutation>;
export type SendOrganizationInvitationMutationResult = Apollo.MutationResult<SchemaTypes.ISendOrganizationInvitationMutation>;
export type SendOrganizationInvitationMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.ISendOrganizationInvitationMutation, SchemaTypes.ISendOrganizationInvitationMutationVariables>;
export declare const FilterIntegrationConfigurationDocument: DocumentNode;
/**
 * __useFilterIntegrationConfigurationQuery__
 *
 * To run a query within a React component, call `useFilterIntegrationConfigurationQuery` and pass it any options that fit your needs.
 * When your component renders, `useFilterIntegrationConfigurationQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useFilterIntegrationConfigurationQuery({
 *   variables: {
 *      filter: // value for 'filter'
 *   },
 * });
 */
export declare function useFilterIntegrationConfigurationQuery(baseOptions: Apollo.QueryHookOptions<SchemaTypes.IFilterIntegrationConfigurationQuery, SchemaTypes.IFilterIntegrationConfigurationQueryVariables> & ({
    variables: SchemaTypes.IFilterIntegrationConfigurationQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
})): Apollo.QueryResult<SchemaTypes.IFilterIntegrationConfigurationQuery, SchemaTypes.Exact<{
    filter: SchemaTypes.IIntegrationConfigurationFilterInput;
}>>;
export declare function useFilterIntegrationConfigurationLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IFilterIntegrationConfigurationQuery, SchemaTypes.IFilterIntegrationConfigurationQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IFilterIntegrationConfigurationQuery, SchemaTypes.Exact<{
    filter: SchemaTypes.IIntegrationConfigurationFilterInput;
}>>;
export declare function useFilterIntegrationConfigurationSuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<SchemaTypes.IFilterIntegrationConfigurationQuery, SchemaTypes.IFilterIntegrationConfigurationQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IFilterIntegrationConfigurationQuery, SchemaTypes.Exact<{
    filter: SchemaTypes.IIntegrationConfigurationFilterInput;
}>>;
export type FilterIntegrationConfigurationQueryHookResult = ReturnType<typeof useFilterIntegrationConfigurationQuery>;
export type FilterIntegrationConfigurationLazyQueryHookResult = ReturnType<typeof useFilterIntegrationConfigurationLazyQuery>;
export type FilterIntegrationConfigurationSuspenseQueryHookResult = ReturnType<typeof useFilterIntegrationConfigurationSuspenseQuery>;
export type FilterIntegrationConfigurationQueryResult = Apollo.QueryResult<SchemaTypes.IFilterIntegrationConfigurationQuery, SchemaTypes.IFilterIntegrationConfigurationQueryVariables>;
export declare const GetAccountsDocument: DocumentNode;
/**
 * __useGetAccountsQuery__
 *
 * To run a query within a React component, call `useGetAccountsQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetAccountsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetAccountsQuery({
 *   variables: {
 *      where: // value for 'where'
 *   },
 * });
 */
export declare function useGetAccountsQuery(baseOptions?: Apollo.QueryHookOptions<SchemaTypes.IGetAccountsQuery, SchemaTypes.IGetAccountsQueryVariables>): Apollo.QueryResult<SchemaTypes.IGetAccountsQuery, SchemaTypes.Exact<{
    where?: SchemaTypes.InputMaybe<SchemaTypes.IUserAccountWhere>;
}>>;
export declare function useGetAccountsLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IGetAccountsQuery, SchemaTypes.IGetAccountsQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IGetAccountsQuery, SchemaTypes.Exact<{
    where?: SchemaTypes.InputMaybe<SchemaTypes.IUserAccountWhere>;
}>>;
export declare function useGetAccountsSuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<SchemaTypes.IGetAccountsQuery, SchemaTypes.IGetAccountsQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IGetAccountsQuery, SchemaTypes.Exact<{
    where?: SchemaTypes.InputMaybe<SchemaTypes.IUserAccountWhere>;
}>>;
export type GetAccountsQueryHookResult = ReturnType<typeof useGetAccountsQuery>;
export type GetAccountsLazyQueryHookResult = ReturnType<typeof useGetAccountsLazyQuery>;
export type GetAccountsSuspenseQueryHookResult = ReturnType<typeof useGetAccountsSuspenseQuery>;
export type GetAccountsQueryResult = Apollo.QueryResult<SchemaTypes.IGetAccountsQuery, SchemaTypes.IGetAccountsQueryVariables>;
export declare const GetOrganizationTeamsDocument: DocumentNode;
/**
 * __useGetOrganizationTeamsQuery__
 *
 * To run a query within a React component, call `useGetOrganizationTeamsQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetOrganizationTeamsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetOrganizationTeamsQuery({
 *   variables: {
 *      orgName: // value for 'orgName'
 *   },
 * });
 */
export declare function useGetOrganizationTeamsQuery(baseOptions?: Apollo.QueryHookOptions<SchemaTypes.IGetOrganizationTeamsQuery, SchemaTypes.IGetOrganizationTeamsQueryVariables>): Apollo.QueryResult<SchemaTypes.IGetOrganizationTeamsQuery, SchemaTypes.Exact<{
    orgName?: SchemaTypes.InputMaybe<SchemaTypes.Scalars["String"]["input"]>;
}>>;
export declare function useGetOrganizationTeamsLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IGetOrganizationTeamsQuery, SchemaTypes.IGetOrganizationTeamsQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IGetOrganizationTeamsQuery, SchemaTypes.Exact<{
    orgName?: SchemaTypes.InputMaybe<SchemaTypes.Scalars["String"]["input"]>;
}>>;
export declare function useGetOrganizationTeamsSuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<SchemaTypes.IGetOrganizationTeamsQuery, SchemaTypes.IGetOrganizationTeamsQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IGetOrganizationTeamsQuery, SchemaTypes.Exact<{
    orgName?: SchemaTypes.InputMaybe<SchemaTypes.Scalars["String"]["input"]>;
}>>;
export type GetOrganizationTeamsQueryHookResult = ReturnType<typeof useGetOrganizationTeamsQuery>;
export type GetOrganizationTeamsLazyQueryHookResult = ReturnType<typeof useGetOrganizationTeamsLazyQuery>;
export type GetOrganizationTeamsSuspenseQueryHookResult = ReturnType<typeof useGetOrganizationTeamsSuspenseQuery>;
export type GetOrganizationTeamsQueryResult = Apollo.QueryResult<SchemaTypes.IGetOrganizationTeamsQuery, SchemaTypes.IGetOrganizationTeamsQueryVariables>;
export declare const GetTeamDocument: DocumentNode;
/**
 * __useGetTeamQuery__
 *
 * To run a query within a React component, call `useGetTeamQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetTeamQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetTeamQuery({
 *   variables: {
 *      orgName: // value for 'orgName'
 *      teamName: // value for 'teamName'
 *   },
 * });
 */
export declare function useGetTeamQuery(baseOptions: Apollo.QueryHookOptions<SchemaTypes.IGetTeamQuery, SchemaTypes.IGetTeamQueryVariables> & ({
    variables: SchemaTypes.IGetTeamQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
})): Apollo.QueryResult<SchemaTypes.IGetTeamQuery, SchemaTypes.Exact<{
    orgName: SchemaTypes.Scalars["String"]["input"];
    teamName: SchemaTypes.Scalars["String"]["input"];
}>>;
export declare function useGetTeamLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IGetTeamQuery, SchemaTypes.IGetTeamQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IGetTeamQuery, SchemaTypes.Exact<{
    orgName: SchemaTypes.Scalars["String"]["input"];
    teamName: SchemaTypes.Scalars["String"]["input"];
}>>;
export declare function useGetTeamSuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<SchemaTypes.IGetTeamQuery, SchemaTypes.IGetTeamQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IGetTeamQuery, SchemaTypes.Exact<{
    orgName: SchemaTypes.Scalars["String"]["input"];
    teamName: SchemaTypes.Scalars["String"]["input"];
}>>;
export type GetTeamQueryHookResult = ReturnType<typeof useGetTeamQuery>;
export type GetTeamLazyQueryHookResult = ReturnType<typeof useGetTeamLazyQuery>;
export type GetTeamSuspenseQueryHookResult = ReturnType<typeof useGetTeamSuspenseQuery>;
export type GetTeamQueryResult = Apollo.QueryResult<SchemaTypes.IGetTeamQuery, SchemaTypes.IGetTeamQueryVariables>;
export declare const GetUserAccountDocument: DocumentNode;
/**
 * __useGetUserAccountQuery__
 *
 * To run a query within a React component, call `useGetUserAccountQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetUserAccountQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetUserAccountQuery({
 *   variables: {
 *      userId: // value for 'userId'
 *   },
 * });
 */
export declare function useGetUserAccountQuery(baseOptions: Apollo.QueryHookOptions<SchemaTypes.IGetUserAccountQuery, SchemaTypes.IGetUserAccountQueryVariables> & ({
    variables: SchemaTypes.IGetUserAccountQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
})): Apollo.QueryResult<SchemaTypes.IGetUserAccountQuery, SchemaTypes.Exact<{
    userId: SchemaTypes.Scalars["String"]["input"];
}>>;
export declare function useGetUserAccountLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IGetUserAccountQuery, SchemaTypes.IGetUserAccountQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IGetUserAccountQuery, SchemaTypes.Exact<{
    userId: SchemaTypes.Scalars["String"]["input"];
}>>;
export declare function useGetUserAccountSuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<SchemaTypes.IGetUserAccountQuery, SchemaTypes.IGetUserAccountQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IGetUserAccountQuery, SchemaTypes.Exact<{
    userId: SchemaTypes.Scalars["String"]["input"];
}>>;
export type GetUserAccountQueryHookResult = ReturnType<typeof useGetUserAccountQuery>;
export type GetUserAccountLazyQueryHookResult = ReturnType<typeof useGetUserAccountLazyQuery>;
export type GetUserAccountSuspenseQueryHookResult = ReturnType<typeof useGetUserAccountSuspenseQuery>;
export type GetUserAccountQueryResult = Apollo.QueryResult<SchemaTypes.IGetUserAccountQuery, SchemaTypes.IGetUserAccountQueryVariables>;
export declare const TeamsDocument: DocumentNode;
/**
 * __useTeamsQuery__
 *
 * To run a query within a React component, call `useTeamsQuery` and pass it any options that fit your needs.
 * When your component renders, `useTeamsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useTeamsQuery({
 *   variables: {
 *   },
 * });
 */
export declare function useTeamsQuery(baseOptions?: Apollo.QueryHookOptions<SchemaTypes.ITeamsQuery, SchemaTypes.ITeamsQueryVariables>): Apollo.QueryResult<SchemaTypes.ITeamsQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export declare function useTeamsLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.ITeamsQuery, SchemaTypes.ITeamsQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.ITeamsQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export declare function useTeamsSuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<SchemaTypes.ITeamsQuery, SchemaTypes.ITeamsQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.ITeamsQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export type TeamsQueryHookResult = ReturnType<typeof useTeamsQuery>;
export type TeamsLazyQueryHookResult = ReturnType<typeof useTeamsLazyQuery>;
export type TeamsSuspenseQueryHookResult = ReturnType<typeof useTeamsSuspenseQuery>;
export type TeamsQueryResult = Apollo.QueryResult<SchemaTypes.ITeamsQuery, SchemaTypes.ITeamsQueryVariables>;
