import * as React from 'react';
interface IFill {
    name: string;
    icon?: string;
    Component: React.FC<Record<string, any>>;
}
interface IWithPluginArea {
    baseRoute: string;
    fillsToRegister: IFill[];
    shouldRenderRoutes?: boolean;
}
/**
 * Route base Plugin Area, to render Slot/Fill dynamically base on the route, this component will read the current route
 * of the application and read the fill name from the path and render that slot e.g  if you need to render a slot with the name
 * 'integration-fill' on a page with the path "/account/git/integration-fill" then you need to pass basePath='/account/git/'
 * and a fill with name `integration-fill` in fillsToRegister array, the component will automatically read the fill name from the
 * route and register the appropriate fill and render the appropriate slot for you.
 *
 * @param {IWithPluginArea} props
 * @constructor
 */
export declare const WithPluginArea: (props: IWithPluginArea) => React.ReactElement;
export {};
