import {useParams,useNavigate}from'@remix-run/react';const useCustomHistory = () => {
  const {
    orgName
  } = useParams();
  const navigate = useNavigate();
  const prePendSlash = path => {
    return path.startsWith('/') ? path : `/${path}`;
  };
  const push = (path, state) => {
    navigate(`/o/${orgName}${prePendSlash(path)}`, {
      state
    });
  };
  const pushWithOrgContext = (path, state) => {
    const isOrgExist = path.includes(':orgName');
    if (isOrgExist) {
      navigate(path.replace(':orgName', orgName));
    } else {
      navigate(`/o/${orgName}${prePendSlash(path)}`, {
        state
      });
    }
  };
  return {
    push,
    pushWithOrgContext
  };
};export{useCustomHistory};//# sourceMappingURL=use-custom-history.js.map
