import {useState,useLayoutEffect}from'react';const useDisplaySidebar = (initialValue = true) => {
  const [isVisible, setVisibility] = useState(initialValue);
  useLayoutEffect(() => {
    const isSidebarVisible = typeof isVisible === "boolean" && isVisible;
    requestAnimationFrame(() => {
      const sidebarElement = document.getElementsByClassName("ant-layout-sider ant-layout-sider-dark SiderMenu")[0];
      if (sidebarElement) {
        const sidebarElementStyle = sidebarElement.style;
        sidebarElementStyle.display = isSidebarVisible ? "" : 'none';
      }
      const layoutElement = document.getElementsByClassName("content-layout")[0];
      if (layoutElement) {
        layoutElement.style.padding = isSidebarVisible ? "0px 24px 24px" : '0px';
      }
    });
  }, [isVisible]);
  return [isVisible, setVisibility];
};export{useDisplaySidebar};//# sourceMappingURL=useDisplaySidebar.js.map
